Bug 987407 - Fail to deploy changes in a scaled app
Fail to deploy changes in a scaled app
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
: TestBlocker
Depends On:
  Show dependency treegraph
Reported: 2013-07-23 06:57 EDT by Zhe Wang
Modified: 2015-05-14 19:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-07 18:56:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Zhe Wang 2013-07-23 06:57:08 EDT
Description of problem:
Given a scaling app with auto scaling disabled, it fails to deploy changes when executing "ctl_app deploy --trace" after scaling it up. As a consequence, it also fails to push and deploy changes to this app via Git.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. create a scaling app

2. disable its auto scaling by creating a disable_auto_scaling marker

3. scale up the app via REST API

4. SSH into the app's local gear

5. execute "ctl_app deploy --trace"

Actual results:
In step 5, executing "ctl_app deploy --trace" fails with the errors below:

Exit code: 
SSH_CMD: ssh 530e6032f38411e2b0cf22000a9b9114@
++ date
+ echo 'Syncing to gear: 530e6032f38411e2b0cf22000a9b9114@ @ ' Tue Jul 23 06:52:51 EDT 2013
Syncing to gear: 530e6032f38411e2b0cf22000a9b9114@ @  Tue Jul 23 06:52:51 EDT 2013
+ for rpccall in '"${OPENSHIFT_SYNC_GEARS_PRE[@]}"'
+ ssh 530e6032f38411e2b0cf22000a9b9114@ 'gear stop'
Exit code: 
An error occurred executing 'gear deploy' (exit code: 128)
Error message: Failed to execute: 'control deploy' for /var/lib/openshift/51ee59824ccd820dd500004a/haproxy

/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.12.1/lib/openshift-origin-node/model/v2_cart_model.rb:1125:in `block in do_control_with_directory'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.12.1/lib/openshift-origin-node/model/v2_cart_model.rb:935:in `process_cartridges'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.12.1/lib/openshift-origin-node/model/v2_cart_model.rb:1094:in `do_control_with_directory'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.12.1/lib/openshift-origin-node/model/v2_cart_model.rb:957:in `do_control'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.12.1/lib/openshift-origin-node/model/application_container_ext/cartridge_actions.rb:356:in `deploy'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.12.1/lib/openshift-origin-node/model/application_container_ext/cartridge_actions.rb:241:in `post_receive'
/usr/bin/gear:174:in `block (3 levels) in <main>'
/usr/bin/gear:64:in `do_command'
/usr/bin/gear:172:in `block (2 levels) in <main>'
/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:180:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:180:in `call'
/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/command.rb:155:in `run'
/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/runner.rb:385:in `run_active_command'
/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/runner.rb:74:in `run!'
/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/delegates.rb:11:in `run!'
/opt/rh/ruby193/root/usr/share/gems/gems/commander-4.0.3/lib/commander/import.rb:10:in `block in <top (required)>'

Expected results:
It should be successful to deploy changes in a scaled app.

Additional info:
Comment 1 Mrunal Patel 2013-07-23 17:06:12 EDT
Should be fixed by - https://github.com/openshift/origin-server/pull/3147
Comment 2 Zhe Wang 2013-07-24 06:38:23 EDT
Verified this bug in devenv_3546. Steps are identical to those in Description.


[rbtst-dev3546tst.dev.rhcloud.com b4e8d996f44b11e2a8a522000a9b9123]\> ctl_app deploy --trace
Stopping Ruby cart
Waiting for stop to finish
CLIENT_RESULT: HAProxy instance is stopped
Running build on Ruby cart
CLIENT_RESULT: HAProxy instance is started
Starting Ruby cart

Moreover, no errors were reported when pushing changes to the app's repo.

Note You need to log in before you can comment on or make changes to this bug.